Skip to content
Browse files

MDL-26469 upgrade: cope with modules that do not set $module->cron.

  • Loading branch information...
1 parent a138460 commit 8676f75000e7ae50bb5bbf95c1a00fc13243278d @timhunt timhunt committed with stronk7 Jan 11, 2012
Showing with 4 additions and 0 deletions.
  1. +4 −0 lib/upgradelib.php
View
4 lib/upgradelib.php
@@ -463,6 +463,10 @@ function upgrade_plugins_modules($startcallback, $endcallback, $verbose) {
}
}
+ if (empty($module->cron)) {
+ $module->cron = 0;
+ }
+
// all modules must have en lang pack
if (!is_readable("$fullmod/lang/en/$mod.php")) {
throw new plugin_defective_exception($component, 'Missing mandatory en language pack.');

0 comments on commit 8676f75

Please sign in to comment.
Something went wrong with that request. Please try again.